Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class PerVmAdvice

    java.lang.Object
      org.jboss.aop.advice.PerVmAdvice

public class PerVmAdvice
extends Object

Comment

Version:
  $Revision: 1.13 $
Author:
  Bill Burke

Constructor Summary
`PerVmAdvice()`

Method Summary
`static Interceptor` | `generateArgsInterceptor(Object aspect, Method advice, Joinpoint joinpoint)`
`static Interceptor` | `generateInterceptor(Joinpoint joinpoint, Object aspect, String adviceName)`
`static Interceptor` | `generateOptimized(Joinpoint joinpoint, AspectManager manager, String adviceName, AspectDefinition a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerVmAdvice

    public PerVmAdvice()

Method Detail

### generateOptimized

    public static Interceptor generateOptimized(Joinpoint joinpoint,
                                                AspectManager manager,
                                                String adviceName,
                                                AspectDefinition a)
                                         throws Exception

  Throws:
    `Exception`

### generateInterceptor

    public static Interceptor generateInterceptor(Joinpoint joinpoint,
                                                  Object aspect,
                                                  String adviceName)
                                           throws Exception

  Throws:
    `Exception`

### generateArgsInterceptor

    public static Interceptor generateArgsInterceptor(Object aspect,
                                                      Method advice,
                                                      Joinpoint joinpoint)
                                               throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.